********************************************************************
********************************************************************
************	ECONOMETRIA INTERMEDIA					************
************	ROSALES * PERDOMO * MORALES * URREGO	************
************											************			
************	EJEMPLO CAPITULO 3						************
********************************************************************
********************************************************************


set mem 500m
use "C:\CAPITULO 3\logit_nacional.dta"

* Exploracion de los datos
des
sum

* Modelo MPL
reg  informal hombre edad_15_18 edad_19_24 edad_25_44 edad_45_mas jefehogar conyuge hijo nieto otro_pariente cabecera educ_primaria educ_secundaria educ_superior indigena afrocolombiano quintil_1 indepte_otros

* prueba de predicciones erradas
predict informalmpl

* prueba de hetroscedasticidad
estat hett

* Modelo Probit
probit  informal hombre edad_15_18 edad_19_24 edad_25_44 edad_45_mas jefehogar conyuge hijo nieto otro_pariente cabecera educ_primaria educ_secundaria educ_superior indigena afrocolombiano quintil_1 indepte_otros
mfx
predict informalprobit

* prueba de hetroscedasticidad
estat hett

* Modelo logit
logit  informal hombre edad_15_18 edad_19_24 edad_25_44 edad_45_mas jefehogar conyuge hijo nieto otro_pariente cabecera educ_primaria educ_secundaria educ_superior indigena afrocolombiano quintil_1 indepte_otros
mfx
predict informallogit

* prueba de hetroscedasticidad
estat hett

* predicciones correctas
predict informalhat
gen informal_pre=1 if informalhat>0.5
recode informal_pre .=0
tab informal informal_pre